> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Mining



## OpenAPI

````yaml cherrytree/openapi.json get /mining
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /mining:
    get:
      summary: Mining
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Mining'
components:
  schemas:
    Mining:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              itemId:
                type: number
              miningRock:
                type: string
              miningBaseSpeedInMilliseconds:
                type: number
              minimumMiningLevel:
                type: number
              miningSuccessBaseRate:
                type: number
              miningExp:
                type: number
              chanceForIlluminantGem:
                type: number
              chanceForIlluminantGemText:
                type: string
            required:
              - id
              - itemId
              - miningRock
              - miningBaseSpeedInMilliseconds
              - minimumMiningLevel
              - miningSuccessBaseRate
              - miningExp
              - chanceForIlluminantGem
              - chanceForIlluminantGemText
      required:
        - total
        - results

````